diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
index 3517e491a..3adbb7fc2 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
@@ -7,17 +7,17 @@ import net.minecraft.client.gui.hud.component.HudComponentMovable;
 import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.Shaders;
+import net.minecraft.client.render.renderer.State;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
 
-import static org.lwjgl.opengl.GL11.*;
-
 public class ScreenHudDesigner
     extends Screen {
     private static final int BOTTOM_SPACE = 28;
@@ -36,25 +36,25 @@ public class ScreenHudDesigner
     @Override
     public void init() {
         super.init();
-        this.screenPadding = mc.gameSettings.screenPadding.value;
-        mc.gameSettings.screenPadding.set(0.0f);
+        this.screenPadding = this.mc.gameSettings.screenPadding.value;
+        this.mc.gameSettings.screenPadding.set(0.0f);
 
-        add(new ButtonElement(0, width / 2 - 100, height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 178, 20, I18n.getInstance().translateKey("gui.hud_designer.button.done")));
-        add(resetButton = new ButtonElement(1, width / 2 + 80, height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 20, 20, "")
+        add(new ButtonElement(0, this.width / 2 - 100, this.height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 178, 20, I18n.getInstance().translateKey("gui.hud_designer.button.done")));
+        add(this.resetButton = new ButtonElement(1, this.width / 2 + 80, this.height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 20, 20, "")
             .setTextures("minecraft:gui/misc/button_reset", "minecraft:gui/misc/button_reset_highlighted", "minecraft:gui/misc/button_reset"));
     }
 
     @Override
     public void removed() {
         super.removed();
-        mc.gameSettings.screenPadding.set(screenPadding);
+        this.mc.gameSettings.screenPadding.set(this.screenPadding);
     }
 
     @Override
     protected void buttonClicked(@NotNull ButtonElement button) {
         super.buttonClicked(button);
         if (button.id == 0) {
-            mc.displayScreen(getParentScreen());
+            this.mc.displayScreen(getParentScreen());
         }
         if (button.id == 1) {
             HudComponents.INSTANCE.fromSettingsString(HudComponents.DEFAULT_LAYOUT);
@@ -66,60 +66,58 @@ public class ScreenHudDesigner
         updateComponentsUnderMouse(mx, my);
         boolean clickedComponent = false;
         if (buttonNum == 0) {
-            if (!componentsUnderMouse.isEmpty()) {
-                HudComponent componentUnderMouse = componentsUnderMouse.get(componentsUnderMouse.size() - 1);
+            if (!this.componentsUnderMouse.isEmpty()) {
+                HudComponent componentUnderMouse = this.componentsUnderMouse.get(this.componentsUnderMouse.size() - 1);
                 if (componentUnderMouse instanceof HudComponentMovable) {
                     Layout currentLayout = componentUnderMouse.getLayout();
                     ComponentAnchor anchor = getClosestAnchor(
-                        currentLayout.getComponentX(componentUnderMouse, width),
-                        currentLayout.getComponentY(componentUnderMouse, height - BOTTOM_SPACE),
+                        currentLayout.getComponentX(componentUnderMouse, this.width),
+                        currentLayout.getComponentY(componentUnderMouse, this.height - BOTTOM_SPACE),
                         componentUnderMouse, mx, my);
                     Layout layout = new LayoutAbsolute(0, 0, anchor);
                     ((HudComponentMovable) componentUnderMouse).setLayout(layout);
 
-                    heldComponent = componentUnderMouse;
-                    heldAnchor = anchor;
+                    this.heldComponent = componentUnderMouse;
+                    this.heldAnchor = anchor;
                     clickedComponent = true;
                 }
             }
         }
 
         if (!clickedComponent) {
-            heldComponent = null;
+            this.heldComponent = null;
             super.mouseClicked(mx, my, buttonNum);
         }
     }
 
     private void updateHeldComponent(int mouseX, int mouseY) {
-        if (heldComponent == null) return;
-
-        int xSize = heldComponent.getXSize();
-        int ySize = heldComponent.getYSize();
-        int xOffset = heldComponent.getAnchorX(heldAnchor);
-        int yOffset = heldComponent.getAnchorY(heldAnchor);
-        int newX = MathHelper.clamp(mouseX, xOffset, width - (xSize - xOffset));
-        int newY = MathHelper.clamp(mouseY, yOffset, height - BOTTOM_SPACE - (ySize - yOffset));
-
-        Layout layout = heldComponent.getLayout();
-        if (layout instanceof LayoutAbsolute) {
-            LayoutAbsolute absoluteLayout = (LayoutAbsolute) layout;
-            absoluteLayout.setXPosition((float) newX / width);
-            absoluteLayout.setYPosition((float) newY / (height - BOTTOM_SPACE));
+        if (this.heldComponent == null) return;
+
+        int xSize = this.heldComponent.getXSize();
+        int ySize = this.heldComponent.getYSize();
+        int xOffset = this.heldComponent.getAnchorX(this.heldAnchor);
+        int yOffset = this.heldComponent.getAnchorY(this.heldAnchor);
+        int newX = MathHelper.clamp(mouseX, xOffset, this.width - (xSize - xOffset));
+        int newY = MathHelper.clamp(mouseY, yOffset, this.height - BOTTOM_SPACE - (ySize - yOffset));
+
+        Layout layout = this.heldComponent.getLayout();
+        if (layout instanceof LayoutAbsolute absoluteLayout) {
+            absoluteLayout.setXPosition((float) newX / this.width);
+            absoluteLayout.setYPosition((float) newY / (this.height - BOTTOM_SPACE));
         }
 
         // Snap to other components
         int snapRadius = 10;
         boolean didSnap = false;
         for (HudComponent component : HudComponents.INSTANCE.getComponents()) {
-            if (component == heldComponent) continue;
+            if (component == this.heldComponent) continue;
             if (!component.isEnabled()) continue;
             Layout otherLayout = component.getLayout();
             boolean isNested = false;
             Layout nestedLayout = otherLayout;
             for (int i = 0; i < 10; i++) {
-                if (nestedLayout instanceof LayoutSnap) {
-                    LayoutSnap layoutSnap = (LayoutSnap) nestedLayout;
-                    if (layoutSnap.getParent() == heldComponent) {
+                if (nestedLayout instanceof LayoutSnap layoutSnap) {
+                    if (layoutSnap.getParent() == this.heldComponent) {
                         isNested = true;
                         break;
                     } else if (layoutSnap.getParent() != null) {
@@ -133,19 +131,19 @@ public class ScreenHudDesigner
             }
             if (isNested) continue;
 
-            int x = otherLayout.getComponentX(component, width);
-            int y = otherLayout.getComponentY(component, height - BOTTOM_SPACE);
+            int x = otherLayout.getComponentX(component, this.width);
+            int y = otherLayout.getComponentY(component, this.height - BOTTOM_SPACE);
 
             // Get mouse distance
             int mouseDistance = (int) Math.sqrt(Math.pow(mouseX - newX, 2) + Math.pow(mouseY - newY, 2));
 
             if (mouseDistance < 10) {
                 ComponentAnchor anchor = getAnchorInRadius(x, y, component, newX, newY, snapRadius);
-                if (anchor != null && heldAnchor.canConnectTo(anchor)) {
-                    snappedComponent = component;
-                    snappedAnchor = anchor;
-                    LayoutSnap newLayout = new LayoutSnap(component, anchor, heldAnchor);
-                    ((HudComponentMovable) heldComponent).setLayout(newLayout);
+                if (anchor != null && this.heldAnchor.canConnectTo(anchor)) {
+                    this.snappedComponent = component;
+                    this.snappedAnchor = anchor;
+                    LayoutSnap newLayout = new LayoutSnap(component, anchor, this.heldAnchor);
+                    ((HudComponentMovable) this.heldComponent).setLayout(newLayout);
                     didSnap = true;
                     break;
                 }
@@ -157,18 +155,18 @@ public class ScreenHudDesigner
             snapRadius = 20;
             ComponentAnchor anchor = getScreenAnchorInRadius(0, 0, newX, newY, snapRadius);
             if (anchor != null) {
-                snappedComponent = null;
-                snappedAnchor = anchor;
-                LayoutSnap newLayout = new LayoutSnap(null, snappedAnchor, heldAnchor);
-                ((HudComponentMovable) heldComponent).setLayout(newLayout);
+                this.snappedComponent = null;
+                this.snappedAnchor = anchor;
+                LayoutSnap newLayout = new LayoutSnap(null, this.snappedAnchor, this.heldAnchor);
+                ((HudComponentMovable) this.heldComponent).setLayout(newLayout);
                 didSnap = true;
             }
 
             if (!didSnap) {
-                LayoutAbsolute newLayout = new LayoutAbsolute((float) newX / width, (float) newY / (height - BOTTOM_SPACE), heldAnchor);
-                ((HudComponentMovable) heldComponent).setLayout(newLayout);
-                snappedComponent = null;
-                snappedAnchor = null;
+                LayoutAbsolute newLayout = new LayoutAbsolute((float) newX / this.width, (float) newY / (this.height - BOTTOM_SPACE), this.heldAnchor);
+                ((HudComponentMovable) this.heldComponent).setLayout(newLayout);
+                this.snappedComponent = null;
+                this.snappedAnchor = null;
             }
         }
     }
@@ -213,8 +211,8 @@ public class ScreenHudDesigner
         int minDistance = Integer.MAX_VALUE;
         for (ComponentAnchor componentAnchor : ComponentAnchor.values()) {
             if (componentAnchor == ComponentAnchor.CENTER) continue; // Center anchor is not valid
-            int xAnchor = (int) (componentAnchor.xPosition * width);
-            int yAnchor = (int) (componentAnchor.yPosition * (height - BOTTOM_SPACE));
+            int xAnchor = (int) (componentAnchor.xPosition * this.width);
+            int yAnchor = (int) (componentAnchor.yPosition * (this.height - BOTTOM_SPACE));
             int distance = (int) Math.sqrt(Math.pow(mouseX - (x + xAnchor), 2) + Math.pow(mouseY - (y + yAnchor), 2));
             if (distance < minDistance && distance <= radius) {
                 minDistance = distance;
@@ -227,10 +225,10 @@ public class ScreenHudDesigner
     @Override
     public void mouseReleased(int mx, int my, int buttonNum) {
         if (buttonNum == 0) {
-            heldComponent = null;
-            heldAnchor = null;
-            snappedComponent = null;
-            snappedAnchor = null;
+            this.heldComponent = null;
+            this.heldAnchor = null;
+            this.snappedComponent = null;
+            this.snappedAnchor = null;
         }
         super.mouseReleased(mx, my, buttonNum);
     }
@@ -239,7 +237,7 @@ public class ScreenHudDesigner
     public void render(int mx, int my, float partialTick) {
         updateComponentsUnderMouse(mx, my);
 
-        if (heldComponent != null) {
+        if (this.heldComponent != null) {
             updateHeldComponent(mx, my);
         }
 
@@ -247,23 +245,24 @@ public class ScreenHudDesigner
 
         drawHudComponents(mx, my);
 
-        Tessellator tessellator = Tessellator.instance;
-        GL11.glDisable(GL_DEPTH_TEST);
-        GL11.glDisable(GL_TEXTURE_2D);
+        TessellatorGeneral tessellator = GLRenderer.getTessellator();
+        GLRenderer.pushFrame();
+        GLRenderer.setShader(Shaders.COLOR);
+        GLRenderer.disableState(State.DEPTH_TEST);
         tessellator.startDrawingQuads();
-        tessellator.setColorRGBA_I(0, 255);
-        tessellator.addVertexWithUV(0, height - BOTTOM_SPACE + 1, 0.0D, 0.0D, 1.0D);
-        tessellator.addVertexWithUV(width, height - BOTTOM_SPACE + 1, 0.0D, 1.0D, 1.0D);
-        tessellator.addVertexWithUV(width, height - BOTTOM_SPACE, 0.0D, 1.0D, 0.0D);
-        tessellator.addVertexWithUV(0, height - BOTTOM_SPACE, 0.0D, 0.0D, 0.0D);
+        tessellator.setColor2i(0, 255);
+        tessellator.addVertexWithUV(0, this.height - BOTTOM_SPACE + 1, 0.0D, 0.0D, 1.0D);
+        tessellator.addVertexWithUV(this.width, this.height - BOTTOM_SPACE + 1, 0.0D, 1.0D, 1.0D);
+        tessellator.addVertexWithUV(this.width, this.height - BOTTOM_SPACE, 0.0D, 1.0D, 0.0D);
+        tessellator.addVertexWithUV(0, this.height - BOTTOM_SPACE, 0.0D, 0.0D, 0.0D);
         tessellator.draw();
-        GL11.glEnable(GL_TEXTURE_2D);
+        GLRenderer.popFrame();
 
         // Draw all anchors for screen edges
-        if (heldComponent != null) {
+        if (this.heldComponent != null) {
             for (ComponentAnchor anchor : ComponentAnchor.values()) {
                 if (anchor == ComponentAnchor.CENTER) continue; // Center anchor is not valid
-                drawAnchor(0, 0, (int) (width * anchor.xPosition), (int) ((height - BOTTOM_SPACE) * anchor.yPosition), anchor);
+                drawAnchor(0, 0, (int) (this.width * anchor.xPosition), (int) ((this.height - BOTTOM_SPACE) * anchor.yPosition), anchor);
             }
         }
 
@@ -273,34 +272,36 @@ public class ScreenHudDesigner
     @Override
     public void renderTexturedBackground() {
         super.renderTexturedBackground();
-        GL11.glDisable(GL11.GL_LIGHTING);
-        GL11.glDisable(GL11.GL_FOG);
-        Tessellator tessellator = Tessellator.instance;
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/designer_bg.png").bind();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GLRenderer.globalSetLightEnabled(false);
+//        GL11.glDisable(GL11.GL_FOG);
+        TessellatorGeneral tessellator = GLRenderer.getTessellator();
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/designer_bg.png").bind();
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float scale = 32F;
         tessellator.startDrawingQuads();
-        tessellator.addVertexWithUV(0.0D, height - BOTTOM_SPACE, 0.0D, 0.0D, (float)(height - BOTTOM_SPACE) / scale);
-        tessellator.addVertexWithUV(width, height - BOTTOM_SPACE, 0.0D, (float)width / scale, (float)(height - BOTTOM_SPACE) / scale);
-        tessellator.addVertexWithUV(width, 0.0D, 0.0D, (float)width / scale, 0);
+        tessellator.addVertexWithUV(0.0D, this.height - BOTTOM_SPACE, 0.0D, 0.0D, (float) (this.height - BOTTOM_SPACE) / scale);
+        tessellator.addVertexWithUV(this.width, this.height - BOTTOM_SPACE, 0.0D, (float) this.width / scale, (float) (this.height - BOTTOM_SPACE) / scale);
+        tessellator.addVertexWithUV(this.width, 0.0D, 0.0D, (float) this.width / scale, 0);
         tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, 0.0D, 0);
         tessellator.draw();
     }
 
     private void drawHudComponents(int mouseX, int mouseY) {
         HudComponent lastComponent = null;
-        if (!componentsUnderMouse.isEmpty()) {
-            lastComponent = componentsUnderMouse.get(componentsUnderMouse.size() - 1);
+        if (!this.componentsUnderMouse.isEmpty()) {
+            lastComponent = this.componentsUnderMouse.get(this.componentsUnderMouse.size() - 1);
         }
         for (HudComponent component : HudComponents.INSTANCE.getComponents()) {
-            if (component == heldComponent) continue;
+            if (component == this.heldComponent) continue;
             if (!component.isEnabled()) continue;
             Layout layout = component.getLayout();
-            component.renderPreview(this, layout, width, height - BOTTOM_SPACE);
-            if (heldComponent == null) {
-                if (!componentsUnderMouse.isEmpty() && component == lastComponent) {
-                    int x = layout.getComponentX(component, width);
-                    int y = layout.getComponentY(component, height - BOTTOM_SPACE);
+            GLRenderer.pushFrame();
+            component.renderPreview(this, layout, this.width, this.height - BOTTOM_SPACE);
+            GLRenderer.popFrame();
+            if (this.heldComponent == null) {
+                if (!this.componentsUnderMouse.isEmpty() && component == lastComponent) {
+                    int x = layout.getComponentX(component, this.width);
+                    int y = layout.getComponentY(component, this.height - BOTTOM_SPACE);
                     int xSize = component.getXSize();
                     int ySize = component.getYSize();
                     drawBox(x, y, x + xSize, y + ySize, 0xff00ff00, 1);
@@ -312,25 +313,27 @@ public class ScreenHudDesigner
                 }
             }
         }
-        if (heldComponent != null) {
-            Layout layout = heldComponent.getLayout();
-            heldComponent.renderPreview(this, layout, width, height - BOTTOM_SPACE);
-            int x = layout.getComponentX(heldComponent, width);
-            int y = layout.getComponentY(heldComponent, height - BOTTOM_SPACE);
-            int xSize = heldComponent.getXSize();
-            int ySize = heldComponent.getYSize();
-            int xAnchor = heldComponent.getAnchorX(heldAnchor);
-            int yAnchor = heldComponent.getAnchorY(heldAnchor);
+        if (this.heldComponent != null) {
+            Layout layout = this.heldComponent.getLayout();
+            GLRenderer.pushFrame();
+            this.heldComponent.renderPreview(this, layout, this.width, this.height - BOTTOM_SPACE);
+            GLRenderer.popFrame();
+            int x = layout.getComponentX(this.heldComponent, this.width);
+            int y = layout.getComponentY(this.heldComponent, this.height - BOTTOM_SPACE);
+            int xSize = this.heldComponent.getXSize();
+            int ySize = this.heldComponent.getYSize();
+            int xAnchor = this.heldComponent.getAnchorX(this.heldAnchor);
+            int yAnchor = this.heldComponent.getAnchorY(this.heldAnchor);
             drawBox(x, y, x + xSize, y + ySize, 0xffff0000, 1);
-            drawAnchor(x, y, xAnchor, yAnchor, heldAnchor);
+            drawAnchor(x, y, xAnchor, yAnchor, this.heldAnchor);
         }
-        if (snappedComponent != null && snappedAnchor != null) {
-            Layout layout = snappedComponent.getLayout();
-            int x = layout.getComponentX(snappedComponent, width);
-            int y = layout.getComponentY(snappedComponent, height - BOTTOM_SPACE);
-            int xAnchor = snappedComponent.getAnchorX(snappedAnchor);
-            int yAnchor = snappedComponent.getAnchorY(snappedAnchor);
-            drawAnchor(x, y, xAnchor, yAnchor, snappedAnchor);
+        if (this.snappedComponent != null && this.snappedAnchor != null) {
+            Layout layout = this.snappedComponent.getLayout();
+            int x = layout.getComponentX(this.snappedComponent, this.width);
+            int y = layout.getComponentY(this.snappedComponent, this.height - BOTTOM_SPACE);
+            int xAnchor = this.snappedComponent.getAnchorX(this.snappedAnchor);
+            int yAnchor = this.snappedComponent.getAnchorY(this.snappedAnchor);
+            drawAnchor(x, y, xAnchor, yAnchor, this.snappedAnchor);
         }
     }
 
@@ -338,7 +341,8 @@ public class ScreenHudDesigner
         int color = 0xff0000ff;
         int lineLength = 5;
 
-        GL11.glDisable(GL11.GL_DEPTH_TEST);
+        GLRenderer.pushFrame();
+        GLRenderer.disableState(State.DEPTH_TEST);
         switch (anchor) {
             case TOP_LEFT:
                 drawRect(x + xAnchor, y + yAnchor, x + xAnchor + lineLength, y + yAnchor + 1, color);
@@ -373,21 +377,21 @@ public class ScreenHudDesigner
                 drawRect(x + xAnchor - 1, y + yAnchor - lineLength, x + xAnchor, y + yAnchor, color);
                 break;
         }
-        GL11.glEnable(GL11.GL_DEPTH_TEST);
-        zLevel = 0;
+        GLRenderer.popFrame();
+        this.zLevel = 0;
     }
 
     private void updateComponentsUnderMouse(int mouseX, int mouseY) {
-        componentsUnderMouse.clear();
+        this.componentsUnderMouse.clear();
         for (HudComponent component : HudComponents.INSTANCE.getComponents()) {
             if (!component.isEnabled()) continue;
             Layout layout = component.getLayout();
-            int cx = layout.getComponentX(component, width);
-            int cy = layout.getComponentY(component, height - BOTTOM_SPACE);
+            int cx = layout.getComponentX(component, this.width);
+            int cy = layout.getComponentY(component, this.height - BOTTOM_SPACE);
             int cXSize = component.getXSize();
             int cYSize = component.getYSize();
             if (mouseX >= cx && mouseX < cx + cXSize && mouseY >= cy && mouseY < cy + cYSize) {
-                componentsUnderMouse.add(component);
+                this.componentsUnderMouse.add(component);
             }
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
index 286eb873d..86d3d761a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
@@ -4,6 +4,7 @@ import net.minecraft.client.gui.keyboard.ScreenKeyboard;
 import net.minecraft.client.gui.text.ITextField;
 import net.minecraft.client.gui.text.TextFieldEditor;
 import net.minecraft.client.input.InputType;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
@@ -11,10 +12,8 @@ import net.minecraft.core.net.packet.PacketSetItemName;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
-public class ScreenLabelEditor extends Screen implements ITextField
-{
+public class ScreenLabelEditor extends Screen implements ITextField {
     protected String screenTitle;
     protected ItemStack item;
     protected String text;
@@ -25,105 +24,96 @@ public class ScreenLabelEditor extends Screen implements ITextField
     protected int slot;
     protected int cursorCounter;
 
-    public ScreenLabelEditor(final ItemStack item, int slot)
-    {
-        screenTitle = I18n.getInstance().translateKey("gui.edit_label.label.title");
+    public ScreenLabelEditor(final ItemStack item, int slot) {
+        this.screenTitle = I18n.getInstance().translateKey("gui.edit_label.label.title");
         this.item = item;
-        if(item.hasCustomName()) {
-        	this.text = item.getCustomName();
+        if (item.hasCustomName()) {
+            this.text = item.getCustomName();
         } else {
-        	this.text = "";
+            this.text = "";
         }
         this.editor = new TextFieldEditor(this);
         this.color = item.getDisplayColor();
-        xSize = 176;
-        ySize = 166;
+        this.xSize = 176;
+        this.ySize = 166;
         this.slot = slot;
     }
 
     @Override
     public void tick() {
-        cursorCounter++;
-        if ((mc.gameSettings.forceOnscreenKeyboard.value || mc.inputType == InputType.CONTROLLER) && !(mc.currentScreen instanceof ScreenKeyboard)) {
-            buttonClicked(buttons.get(0)); // Close out of gui when exiting keyboard screen
+        this.cursorCounter++;
+        if ((this.mc.gameSettings.forceOnscreenKeyboard.value || this.mc.inputType == InputType.CONTROLLER) && !(this.mc.currentScreen instanceof ScreenKeyboard)) {
+            buttonClicked(this.buttons.get(0)); // Close out of gui when exiting keyboard screen
         }
     }
 
     @Override
-    protected void buttonClicked(final @NotNull ButtonElement button)
-    {
-        if (!button.enabled)
-        {
+    protected void buttonClicked(final @NotNull ButtonElement button) {
+        if (!button.enabled) {
             return;
         }
-        if (button.id == 0)
-        {
-        	item.setCustomName(text);
-            mc.displayScreen(null);
-
-            if (mc.currentWorld.isClientSide)
-            {
-                mc.getSendQueue().addToSendQueue(new PacketSetItemName(slot, text));
+        if (button.id == 0) {
+            this.item.setCustomName(this.text);
+            this.mc.displayScreen(null);
+
+            if (this.mc.currentWorld.isClientSide) {
+                this.mc.getSendQueue().addToSendQueue(new PacketSetItemName(this.slot, this.text));
             }
         }
     }
 
     @Override
-    public void render(final int mx, final int my, final float f)
-    {
+    public void render(final int mx, final int my, final float f) {
         renderBackground();
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/scroll.png").bind();
-        final int widthBG = width / 2 - 56;
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/scroll.png").bind();
+        final int widthBG = this.width / 2 - 56;
         final int heightBG = 89;
         drawTexturedModalRect(widthBG, heightBG, 0, 0, 113, 34);
 
-        drawStringCenteredShadow(fontRenderer, screenTitle, width / 2, 40, 0xffffff);
+        drawStringCenteredShadow(this.fontRenderer, this.screenTitle, this.width / 2, 40, 0xffffff);
 
-        drawStringCenteredShadow(fontRenderer, TextFormatting.get(color) + "> " + text + " <", width / 2, 100, 0xffffff);
+        drawStringCenteredShadow(this.fontRenderer, TextFormatting.get(this.color) + "> " + this.text + " <", this.width / 2, 100, 0xffffff);
 
-        boolean drawCursor = !text.isEmpty() && (cursorCounter / 6) % 2 == 0;
-        if (drawCursor)
-        {
-            int width = MathHelper.ceil(fontRenderer.stringWidthDouble(editor.getText()));
-            if (editor.getCursor() < editor.getText().length())
-            {
-                width = MathHelper.ceil(fontRenderer.stringWidthDouble(editor.getText().substring(0, editor.getCursor())));
+        boolean drawCursor = !this.text.isEmpty() && (this.cursorCounter / 6) % 2 == 0;
+        if (drawCursor) {
+            int width = MathHelper.ceil(this.fontRenderer.stringWidthDouble(this.editor.getText()));
+            if (this.editor.getCursor() < this.editor.getText().length()) {
+                width = MathHelper.ceil(this.fontRenderer.stringWidthDouble(this.editor.getText().substring(0, this.editor.getCursor())));
             }
-            drawStringShadow(fontRenderer, "_", MathHelper.ceil(this.width - fontRenderer.stringWidthDouble(editor.getText())/2) + width, 101, 0xffffff);
+            drawStringShadow(this.fontRenderer, "_", MathHelper.ceil(this.width - this.fontRenderer.stringWidthDouble(this.editor.getText()) / 2) + width, 101, 0xffffff);
         }
         super.render(mx, my, f);
     }
 
     @Override
-    public void init()
-    {
-        buttons.clear();
+    public void init() {
+        this.buttons.clear();
         Keyboard.enableRepeatEvents(true);
-        buttons.add(new ButtonElement(0, width / 2 - 100, height / 4 + 120, I18n.getInstance().translateKey("gui.edit_label.button.done")));
-
-        if (mc.gameSettings.forceOnscreenKeyboard.value || mc.inputType == InputType.CONTROLLER) {
-            mc.displayScreen(new ScreenKeyboard(this, editor,
-                (s) -> {},
-                (c, k, s) -> {},
-                s -> {}));
+        this.buttons.add(new ButtonElement(0, this.width / 2 - 100, this.height / 4 + 120, I18n.getInstance().translateKey("gui.edit_label.button.done")));
+
+        if (this.mc.gameSettings.forceOnscreenKeyboard.value || this.mc.inputType == InputType.CONTROLLER) {
+            this.mc.displayScreen(new ScreenKeyboard(this, this.editor,
+                (s) -> {
+                },
+                (c, k, s) -> {
+                },
+                s -> {
+                }));
         }
     }
 
     @Override
-	public void keyPressed(final char eventCharacter, final int eventKey, int mx, int my)
-    {
-        if (eventKey == Keyboard.KEY_RETURN || eventKey == Keyboard.KEY_NUMPADENTER || eventKey == Keyboard.KEY_ESCAPE)
-        {
-            buttonClicked(buttons.get(0));
+    public void keyPressed(final char eventCharacter, final int eventKey, int mx, int my) {
+        if (eventKey == Keyboard.KEY_RETURN || eventKey == Keyboard.KEY_NUMPADENTER || eventKey == Keyboard.KEY_ESCAPE) {
+            buttonClicked(this.buttons.get(0));
             return;
         }
-        editor.handleInput(eventKey, eventCharacter);
+        this.editor.handleInput(eventKey, eventCharacter);
     }
 
     @Override
-    public void removed()
-    {
+    public void removed() {
         Keyboard.enableRepeatEvents(false);
     }
 
@@ -134,7 +124,7 @@ public class ScreenLabelEditor extends Screen implements ITextField
 
     @Override
     public String getText() {
-        return text;
+        return this.text;
     }
 
     @Override
